/*
Local INdex maker "LIN" & "LIN-Win" (C) 1999-2013 Tatsuhiko Shoji
The sources for Local INdex maker "LIN" & "LIN-Win" are distributed under the MIT open source license
*/

#ifndef ENCUTIL_H
#define ENCUTIL_H

#include	<stdlib.h>
#include	<ctype.h>
#include	<wchar.h>

#ifdef __cplusplus
extern "C"{
#endif

#define jistojms jistoms
#define SO 0x0e
#define SI 0x0f

int isSJIS(unsigned char n);
int isSJIS2(unsigned char n);
int iseuc(unsigned char n);
int chkUTF8(char *s);
size_t utf8towc(wchar_t *dst,const char *sr);
void utf8tomb(char *dst,char *str,int count);
int chkISO_2022_JP(unsigned char *s,int *skiplen);
unsigned jistoms(unsigned c);
int jisput(unsigned char *t,unsigned char *s);
int eucput(unsigned char *t,unsigned char *s);
int chkjisms(unsigned char *s);
int chkjiseuc(unsigned char *s);

#ifdef __cplusplus
}
#endif

#endif /* ENCUTIL_H */
