/*
Local INdex maker "LIN" & "LIN-Win" (C) 1999-2013 Tatsuhiko Shoji
The sources for Local INdex maker "LIN" & "LIN-Win" are distributed under the MIT open source license
*/

#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>
#include	<windows.h>
#include	<winuser.h>
#include	<winnetwk.h>
#include	<shlobj.h>
#include	"resource.h"
#include	"lin.h"
#include	"linwin.h"

//Help{^̓
void HelpProc(HWND hWnd)
{
	DWORD result;
	char pathname[MAX_PATH],curDir[_MAX_DIR+_MAX_DRIVE+1],drive[_MAX_DRIVE+1],dir[_MAX_DIR+1];
	HMODULE ModHdl;
	char helpFile[MAX_PATH];
	HINSTANCE inst;

	// st@C̃fBNg𓾂B
	ModHdl = GetModuleHandle(EXE_NAME);
	if (ModHdl == NULL)
		return;
	result = GetModuleFileName(ModHdl,pathname,MAX_PATH);

	_splitpath(pathname,drive,dir,NULL,NULL);

	curDir[0] = '\0';
	strcpy(curDir,drive);
	strcat(curDir,dir);

	strcpy(helpFile,curDir);
	strcat(helpFile,MAN_NAME);

	//inst = ShellExecute(hWnd,"open",MAN_NAME,NULL,curDir,SW_SHOWNORMAL);
	inst = ShellExecute(NULL,"open",helpFile,NULL,NULL,SW_SHOWNORMAL);

}

void ErrorMessage(char *mes)
{
	MessageBox(hWin,mes,"Error!",MB_ICONWARNING);

}

//
void dirsel(HWND hWnd)
{
	BROWSEINFO info;
	ITEMIDLIST *lpid;
	char buf[MAX_PATH];

    HRESULT hr;
    LPMALLOC pMalloc = NULL;//IMallocւ̃|C^

	memset(&info, 0, sizeof(BROWSEINFO));
	info.hwndOwner = hWnd;	//eEChEnh
	info.pszDisplayName = dir;	// ʂobt@
	info.lpszTitle = "^[QbgfBNg̑I";
	info.ulFlags = BIF_RETURNONLYFSDIRS ;
	info.pidlRoot = NULL;	// fBNg
	info.lpfn = NULL;	// CxgN̊֐
	info.lParam = (LPARAM)0;

	lpid = SHBrowseForFolder(&info);
	if (lpid == NULL) {
		return;
	} else {
        hr = SHGetMalloc(&pMalloc);
        if (hr == E_FAIL) {
            MessageBox(hWnd, "SHGetMalloc Error", "Error", MB_OK);
            return;
        }
        SHGetPathFromIDList(lpid, buf);
		//_SHFree(lpid);
		SendMessage(control[EDIT_DIR],WM_SETTEXT,(WPARAM)0,(LPARAM)buf);
		//MessageBox(hWnd,buf,"Selected",MB_OK);

		pMalloc->Free(lpid);
		pMalloc->Release();
	}

}