/*
Local INdex maker "LIN" & "LIN-Win" (C) 1999-2013 Tatsuhiko Shoji
The sources for Local INdex maker "LIN" & "LIN-Win" are distributed under the MIT open source license
*/

#include <windows.h>
#include <wingdi.h>
#include <winuser.h>
#include <commctrl.h>
#include <stdio.h>
#include <string.h>
#include <process.h>
#include <locale.h>
#include "resource.h"
#include "LIN.H"
#include "linwin.h"

// ֐`
LRESULT CALLBACK WinProc(HWND, UINT, WPARAM, LPARAM);
static  LRESULT Wm_CreateProc(HWND,LPCREATESTRUCT);
static  LRESULT Wm_CommandProc(HWND hwnd,WPARAM wP, LPARAM lP);
static HWND makeToolbar(HWND hParentWnd);

// EChEp`
#define	WS_EX_LAYERED 0x80000
#define LWA_ALPHA 2
typedef DWORD (WINAPI *FWINLAYER)(HWND hwnd,DWORD crKey,BYTE bAlpha,DWORD dwFlags);
typedef HRESULT (WINAPI *FGETDPIFORMONITOR)(HMONITOR hmonitor,int dpiType,UINT *dpiX, UINT *dpiY);
HWND hWin;
int winVer;
int minorVer;

// O[oϐ
HINSTANCE hDLL;
HINSTANCE hShcore;
FWINLAYER pfWin = NULL;
FGETDPIFORMONITOR GetDpiForMonitor = NULL;
char szWinName[] = "LINWin"; /* EBhENX̖O */
WNDPROC Org_Chk_Dirout_Proc;
WNDPROC Org_Chk_Linksub_Proc;
HWND g_hToolbarWnd;

// {vÕCX^X
HINSTANCE Instance;
HWND control[CONTROLS];

HWND g_mainWin;

void adjustControls(void);

//dosUNIXłmain֐ɓ̂łB
//vOJnWinMainX^[gA
//WinMainIƃvOI܂B
int WINAPI WinMain(HINSTANCE hThisInst, HINSTANCE hPrevInst, 
LPSTR lpszArgs, int nWinMode)
{

	HWND hwnd;
	MSG msg;
	WNDCLASSEX wcl;

    DWORD dwver;
    BOOL bRet;
	HACCEL hAccTable;

    dwver = GetVersion();
	winVer = LOBYTE(dwver);
	minorVer = HIBYTE(dwver);
	if (winVer < 4){	// Windows NT 3.xx`FbN
		MessageBox(NULL,"Windows 95/NT4ȍ~Windowsł̂\n삵܂B","l",MB_OK);
		return(0);
	}
	//if (winVer > 4){	// Windows 2000,XP(5.01)ȍ~̃`FbN
	//	MessageBox(NULL,"Version 5ȏWindowsgĂ̂\n܂@\g܂B","",MB_OK);
	//}
	setlocale(LC_ALL,".ACP");	/* P[N[U[̐ݒŏB */

    //comctl32.dll̏iRRg[̏j 
	InitCommonControls();

	Instance = hThisInst;	// CX^X܂킷B

	// CEChE̍쐬
	//wcl̒̏̓EChEǂ`ɂ邩
	//Ƃ܂B
	wcl.cbSize = sizeof(WNDCLASSEX); 

	wcl.style = CS_HREDRAW | CS_VREDRAW;
	wcl.hInstance = hThisInst; /* ̃CX^X̃nh */
	wcl.lpszClassName = szWinName; /* EBhENX̖O */
	wcl.lpfnWndProc = WinProc; /* EBhEvV[W֐ */
	wcl.style = 0; /* ftHg̃X^C */

	wcl.hIcon = LoadIcon(hThisInst, MAKEINTRESOURCE(IDI_ICON1)); /* WACR */
	wcl.hIconSm = LoadIcon(hThisInst, MAKEINTRESOURCE(IDI_ICON2)); /* ACR */
	wcl.hCursor = LoadCursor(NULL, IDC_ARROW); /* J[\̃X^C */

	wcl.lpszMenuName = "IDR_MENU1"; /* j[gp */
	wcl.cbClsExtra = 0; /* ̂ق͕̏KvȂ */
	wcl.cbWndExtra = 0; /* ̂ق͕̏KvȂ */

	/* EBhE̔wi̓O[ɂBGetSysColornAPIgȂ
	Windows XPŃRg[pl̐ݒƍȂB */
	wcl.hbrBackground = GetSysColorBrush(COLOR_3DFACE);

	/* EBhENXo^ */
	if(!RegisterClassEx(&wcl)) return 0;

	/* EBhENXo^̂ŁAEBhE쐬ł */
	hwnd = CreateWindow(
		szWinName, /* EBhENX̖O */
		"Local INdex maker \"LIN-Win\"", /* ^Cg */
		WS_OVERLAPPEDWINDOW ^ WS_THICKFRAME ^ WS_MAXIMIZEBOX, /* EBhEX^C - W */
		CW_USEDEFAULT, /* XW - WindowsɌ߂ */
		CW_USEDEFAULT, /* YW - WindowsɌ߂ */
		WINWIDTH, /*  */
		WINHEIGHT, /*  */
		HWND_DESKTOP, /* eEBhE͂Ȃ */
		NULL, /* j[gpȂ */
		hThisInst, /* vỖCX^X̃nh */
		NULL /* ̂ق͕̈KvȂ */
	);

	hAccTable = LoadAccelerators(hThisInst,MAKEINTRESOURCE(IDR_ACCELERATOR1));
	g_mainWin = hwnd;

	/* CEBhE\ */
	ShowWindow(hwnd, nWinMode);
	UpdateWindow(hwnd);

	/* bZ[W[v */
	while((bRet = GetMessage(&msg, NULL, 0, 0)) != 0){
		if (bRet == -1){
			// GetMessages
			break;
		}
		// hWnd͖ړĨEBhẼEBhEnh
		if (!TranslateAccelerator(g_mainWin,hAccTable,&msg)){	// IsDialogMessageOɏB
			if ( !IsDialogMessage( hwnd,&msg) ){
				TranslateMessage(&msg); /* L[{[hbZ[Wϊ */
				DispatchMessage(&msg); //bZ[WEChEvV[Wɓ]
			}
		}

		Sleep(0);
	}

	return msg.wParam;

}

// tHgւ̃nh
static HFONT f;
// c[o[̃nh
HWND hToolBar;

/*
	EChEv[VW
	DispatchMessageőꂽbZ[WB
*/
LRESULT CALLBACK WinProc(HWND hwnd, UINT msg,WPARAM wP, LPARAM lP)
{
	LONG info;
	PAINTSTRUCT ps;

	switch(msg) {//msgϐ̒OS瑗ꂽbZ[WĂ܂B
		case WM_ACTIVATE:
			if (LOWORD(wP) != WA_INACTIVE){
				if (HIWORD(wP) == 0){
					SetFocus(control[EDIT_DIR]);
				}
			}
			return DefWindowProc(hwnd, msg, wP, lP);
		break;
		case WM_SIZE:
			SendMessage(hToolBar,WM_SIZE,0L,0L);
			return DefWindowProc(hwnd, msg, wP, lP);
		break;
        case WM_CREATE:
			hWin = hwnd;
			
			if (winVer > 4){
				info = GetWindowLong(hwnd,GWL_EXSTYLE);	// gX^CQbg
				SetWindowLong(hwnd,GWL_EXSTYLE,info | WS_EX_LAYERED);

				hDLL = LoadLibrary("user32.dll");
				pfWin = (FWINLAYER)GetProcAddress(hDLL,"SetLayeredWindowAttributes");
				if (pfWin != NULL)
					pfWin(hwnd,0,255,LWA_ALPHA);
			}
			if ((winVer > 6) || ((winVer == 6) && (minorVer >= 3))) {
				/* MessageBox(hwnd, "It's 8.1 or later", "Test", MB_OK); */
				hShcore = LoadLibrary("shcore.dll");
				GetDpiForMonitor = (FGETDPIFORMONITOR)GetProcAddress(hShcore, "GetDpiForMonitor");
			}

			return  Wm_CreateProc(hwnd,(LPCREATESTRUCT)lP);

		case WM_COMMAND:
			Wm_CommandProc(hwnd,wP,lP);
			//SetFocus(control[EDIT_DIR]);
			return(1);
		break;
		case WM_PAINT:
			BeginPaint(hwnd, (LPPAINTSTRUCT) &ps);
			EndPaint(hwnd, (LPPAINTSTRUCT) &ps);
			return 0L;
		break;

		case WM_NOTIFY:
			Wm_NotifyProc(hwnd,wP,lP);
			//SetFocus(control[EDIT_DIR]);
			return 0;
		break;
		case WM_DESTROY:	//EChẺÉ~󂪉ꂽƂ
							//OS瑗Ă郁bZ[W
			Exit_Proc();
		break;
		case WM_SYSCOLORCHANGE:	// VXeFύXɂȂB
			InvalidateRect(hToolBar,NULL,TRUE);
			/* Windows 2000ł̓c[o[̐FςȂ̂ō蒼B */
			DestroyWindow(g_hToolbarWnd);
			g_hToolbarWnd = makeToolbar(hwnd);
			//InvalidateRect(hwnd,NULL,TRUE);
			// NCAg̈(j[o[^Cgo[)XV邽߁AgB
			RedrawWindow(hwnd,NULL,NULL,RDW_ERASE | RDW_INVALIDATE | RDW_FRAME);
			return 0;
		break;
		case 0x02e0:
			DestroyWindow(g_hToolbarWnd);
			g_hToolbarWnd = makeToolbar(hwnd);
			adjustControls();

			// NCAg̈(j[o[^Cgo[)XV邽߁AgB
			RedrawWindow(hwnd,NULL,NULL,RDW_ERASE | RDW_INVALIDATE | RDW_FRAME);
		default:
			//ΏۃCxgȊOŖB
			return DefWindowProc(hwnd, msg, wP, lP);
	}
	return 0L;

}

/************************************************/
/* CEChEɃRg[uĂB */
/************************************************/
/* c[o[ */
#define TB_BUTTONS 7
static TBBUTTON tButton[TB_BUTTONS];
int tb1_bitmap[TB_BUTTONS] = {
	0,1,0,2,0,3,4
};
int command[TB_BUTTONS] = {
    ID_BUTTON_TBLOAD,
    ID_BUTTON_TBSAVE,
    0,
    ID_BUTTON_TBMAKE,
    0,
    ID_BUTTON_TBHELP,
    ID_BUTTON_TBINFO,
};
int style[TB_BUTTONS] = {
	TBSTYLE_BUTTON,
	TBSTYLE_BUTTON,
	TBSTYLE_SEP,
	TBSTYLE_BUTTON,
	TBSTYLE_SEP,
	TBSTYLE_BUTTON,
	TBSTYLE_BUTTON,
};

#define IDC_TOOLBAR1 4999

void Wm_NotifyProc(HWND hwnd,WPARAM wP,LPARAM lP)
{
	LPTOOLTIPTEXT tooltip;

	switch(((LPNMHDR)lP)->code){
		case TTN_NEEDTEXT:
			tooltip = (LPTOOLTIPTEXT)lP;
			tooltip->hinst = (HINSTANCE)GetWindowLong(hwnd,GWL_HINSTANCE);
            switch(tooltip->hdr.idFrom){
				case ID_BUTTON_TBLOAD:
					tooltip->lpszText = MAKEINTRESOURCE(IDS_STR_TBOPEN);
                break;
				case ID_BUTTON_TBSAVE:
					tooltip->lpszText = MAKEINTRESOURCE(IDS_STR_TBSAVE);
				break;
				case ID_BUTTON_TBMAKE:
					tooltip->lpszText = MAKEINTRESOURCE(IDS_STR_TBMAKE);
				break;
				case ID_BUTTON_TBHELP:
					tooltip->lpszText = MAKEINTRESOURCE(IDS_STR_TBHELP);
				break;
				case ID_BUTTON_TBINFO:
					tooltip->lpszText = MAKEINTRESOURCE(IDS_STR_TBINFO);
				break;
            }
        break;
	}
}

static int toolbarMargin;
int fontHeight;

BOOL MoveWindowScale(HWND hWnd, int x, int y, int nWidth, int nHeight, BOOL bRepaint)
{
	return MoveWindow(
		hWnd,
		x,
		y,
		MulDiv(nWidth, fontHeight, 12),
		MulDiv(nHeight, fontHeight, 12),
		bRepaint);

}

BOOL MoveWindowControl(HWND hWnd, int x, int y, int nWidth, int nHeight, BOOL bRepaint)
{
	SendMessage(hWnd,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));

	return MoveWindow(
		hWnd,
		MulDiv(x, fontHeight, 12),
		toolbarMargin + MulDiv(y, fontHeight, 12),
		MulDiv(nWidth, fontHeight, 12),
		MulDiv(nHeight, fontHeight, 12),
		bRepaint);

}

/**
 * tHg̍擾(Per-Monitor DPIl)
 *
 * @param hwnd AvP[ṼEChEnh
 * @param point |Cg
 * @return tHg̍
 */
int getFontHeight(HWND hwnd, int point)
{
	HMONITOR hmonitor;
	UINT dpiX;
	UINT dpiY;
	int fontHeight;
	HDC hdc;	// foCXReLXg
	PAINTSTRUCT p;

	if (GetDpiForMonitor != NULL) {
		/* Windows 8.1ȍ~̏ꍇDPItHgTCYvZB */
		/* ܂AAvP[ṼEChE\Ă郂j^擾B */
		hmonitor = MonitorFromWindow(hwnd, MONITOR_DEFAULTTONEAREST);

		/* DPI擾B */
		GetDpiForMonitor(hmonitor, 0, &dpiX, &dpiY);
		CloseHandle(hmonitor);

		/* DPItHgTCYvZB */
		fontHeight = MulDiv(point, dpiY, 72);
	} else {
		/* GetDeviceCapsœꂽDPItHgTCYvZB */
		hdc = BeginPaint(hwnd,&p);
		fontHeight = MulDiv(point, GetDeviceCaps(hdc, LOGPIXELSY), 72);
		EndPaint(hwnd, &p);
	}

	return fontHeight;
}

/**
 * Rg[̈ʒu𒲐B
 */
void adjustControls(void)
{
	/* EChE̍ߗp */
	int clientHeight;
	int windowHeight;
	int nonClientHeight;
	RECT tRect,tWinRect;
	int y;
	int margin = 8;
	HWND hwnd;

	hwnd = control[0];

	/* 9|Cg̃tHg̍ */
	fontHeight = getFontHeight(hwnd, 9);

	/* tHg蒼B */
	if (f != NULL) {
		DeleteObject(f);
	}
	f = CreateFont(fontHeight,0,0,0,0,FALSE,FALSE,FALSE,SHIFTJIS_CHARSET,
		OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,
		DEFAULT_PITCH | FF_DONTCARE,
		"lr oSVbN");

	/* ̃Rg[̏cʒu */
	y = toolbarMargin + 150;

	/* EChE̍ */
	GetClientRect(hwnd,&tRect);
	clientHeight = tRect.bottom - tRect.top + 1;

	GetWindowRect(hwnd,&tWinRect);
	windowHeight = tWinRect.bottom - tWinRect.top + 1;

	/* j[ȂǃNCAg̈ȊO̍ */
	nonClientHeight = windowHeight - clientHeight;

	MoveWindowScale(hwnd,
		tWinRect.left,
		tWinRect.top,
		WINWIDTH,
		nonClientHeight + 370,
		FALSE);

	/* CfbNXt@CΏۃtH_ */
	MoveWindowControl(control[LBL_DIR], 5, 0, 250, 15, FALSE);
	MoveWindowControl(control[EDIT_DIR], 5, 15, 341, 18, FALSE);
	MoveWindowControl(control[BTN_DIR], 354, 15, 18, 18, FALSE);
	MoveWindowControl(control[LBL_FNAME], 5, 37, 196, 15, FALSE);
	MoveWindowControl(control[EDIT_FNAME], 5, 52, 341, 18, FALSE);
	MoveWindowControl(control[LBL_TITLE], 5, 75, 333, 15, FALSE);
	MoveWindowControl(control[EDIT_TITLE], 5, 90, 341, 18, FALSE);
	MoveWindowControl(control[LBL_CSS], 5, 113, 333, 15, FALSE);
	MoveWindowControl(control[EDIT_CSS], 5, 128, 341, 18, FALSE);
	MoveWindowControl(control[CHK_CSS], 354, 128, 150, 17, FALSE);
	
	MoveWindowControl(control[CHK_RSORT], 5, 150, 230, 17, FALSE);
	MoveWindowControl(control[CHK_DIROUT], 5, 150 + 20 * 1, 230, 17, FALSE);
	MoveWindowControl(control[CHK_LINKSUB], 5, 150 + 20 * 2, 40 * 8, 17, FALSE);
	MoveWindowControl(control[CHK_RECSEARCH], 5, 150 + 20 * 3, 230, 17, FALSE);
	MoveWindowControl(control[CHK_ABSPATH], 5, 150 + 20 * 4, 230, 17, FALSE);
	MoveWindowControl(control[CHK_NOINDEX], 5, 150 + 20 * 5, 230, 17, FALSE);
	MoveWindowControl(control[CHK_IEDIR], 5, 150 + 20 * 6, 230, 17, FALSE);
	MoveWindowControl(control[CHK_MOZDIR], 5, 150 + 20 * 7, 49 * 8, 17, FALSE);
	MoveWindowControl(control[CHK_HIDEDATA], 5, 150 + 20 * 8, 280, 17, FALSE);
	
	MoveWindowControl(control[LBL_SORT], 381, 0, 140, 12, FALSE);
	MoveWindowControl(control[CB_SORT], 381, 15, 140, 90, FALSE);
	MoveWindowControl(control[LBL_STYLE], 381, 37, 175, 15, FALSE);
	MoveWindowControl(control[CB_STYLE], 381, 52, 140, 90, FALSE);

	MoveWindowControl(control[GRP_FINFO], 354, 150, 170, 85, FALSE);
	MoveWindowControl(control[CHK_OUTNAME], 354 + 12, 170, 150, 17, FALSE);
	MoveWindowControl(control[CHK_OUTTIME], 354 + 12, 190, 150, 17, FALSE);
	MoveWindowControl(control[CHK_OUTSIZE], 354 + 12, 210, 150, 17, FALSE);

	MoveWindowControl(control[CHK_OTHERLINK], 354, 250, 280, 17, TRUE);

}

/*
	c[o[쐬B
*/
static HWND makeToolbar(HWND hParentWnd)
{
	int i;
	RECT Rect1;
	int fontHeight;
	int resource;
	int buttonWidth;
	int buttonHeight;

	/* 9|Cg̃tHg̍ */
	fontHeight = getFontHeight(hParentWnd, 9);

	if (fontHeight >= 15) {
		resource = IDR_TOOLBAR2;
		buttonWidth = 32;
		buttonHeight = 30;
		/* c[o[+̃}[Wcʒu */
		toolbarMargin = 50;
	} else {
		resource = IDR_TOOLBAR1;
		buttonWidth = 16;
		buttonHeight = 15;
		/* c[o[+̃}[Wcʒu */
		toolbarMargin = 35;
	}

	memset(&tButton,0x00,sizeof(TBBUTTON) * TB_BUTTONS);
	for (i = 0;i < TB_BUTTONS;i++){
		tButton[i].iBitmap = tb1_bitmap[i];
		tButton[i].idCommand = command[i];
		tButton[i].fsState = TBSTATE_ENABLED;
		tButton[i].fsStyle = style[i];
	}

	hToolBar = CreateToolbarEx(
					hParentWnd,
					// ƋWindows 95œȂȂ
					WS_VISIBLE | WS_CHILD | TBSTYLE_TOOLTIPS | WS_BORDER  | CCS_TOP |TBSTYLE_FLAT,
					//WS_VISIBLE | WS_CHILD | TBSTYLE_TOOLTIPS | WS_BORDER  | CCS_TOP,
					resource,	// c[o[ID
					TB_BUTTONS,
					Instance,
					resource,	// Button Image ID
					tButton,
					sizeof(tButton)/sizeof(TBBUTTON),
					buttonWidth,buttonWidth,buttonWidth,buttonWidth,
					//0,0,16,15,
					sizeof(TBBUTTON));

	GetClientRect(hParentWnd, &Rect1);
	MoveWindow(hToolBar, 0, 0, Rect1.right, 28, FALSE);

	
	return(hToolBar);

}

/* eRg[ */
// EChE쐬̃bZ[W
static  LRESULT Wm_CreateProc(HWND hwnd,LPCREATESTRUCT cs)
{
	int fontHeight;
	HWND s;
	/* EChE̍ߗp */
	int wheight,wheightc;
	RECT tRect,tWinRect;
	int y;
	int margin = 8;
/*
	NONCLIENTMETRICS metrics;	// ʏ

	// ACRȊÕtHg̐ݒ

	FillMemory(&metrics,sizeof(NONCLIENTMETRICS),0x00);
	metrics.cbSize = sizeof(NONCLIENTMETRICS);
	SystemParametersInfo(SPI_GETNONCLIENTMETRICS,
				sizeof(NONCLIENTMETRICS),
				&metrics,
				0);
*/
	fontHeight = 0 - getFontHeight(hwnd, 9);

	f = CreateFont(fontHeight,0,0,0,0,FALSE,FALSE,FALSE,SHIFTJIS_CHARSET,
		OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,
		DEFAULT_PITCH | FF_DONTCARE,
		"lr oSVbN");
		// "IPA UISVbN");
		// metrics.lfMessageFont.lfFaceName);

	if (f == NULL){
		MessageBox(hwnd,"tHgłւ","߂",MB_OK);
	}
	control[0] = hwnd;

	/*----------------------------------------------------------*/
	/* 335͏c~̂Œ߂sB                          */
	/* EChȆ傫wɂ̓^Cgo[̕܂܂邪A */
	/* XPLuna͍܂ł葾̂łł͂܂邱Ƃ邽߁B */
	/*----------------------------------------------------------*/
	
	/* c[o[쐬B */
	g_hToolbarWnd = makeToolbar(hwnd);
	y = toolbarMargin + 150;

	/* EChE̍ */
	GetClientRect(hwnd,&tRect);
	GetWindowRect(hwnd,&tWinRect);
	wheightc = tRect.bottom;
	if (wheightc < CLHEIGHT){
		wheight = y + ((fontHeight * -1) + margin) * 11 + (CLHEIGHT - wheightc);
	}else{
		wheight = y + ((fontHeight * -1) + margin) * 11 - (wheightc - CLHEIGHT);
	}
	MoveWindow(hwnd,tWinRect.left,tWinRect.top,WINWIDTH,wheight,TRUE);

    /* qEChE쐬̗ */
    s = CreateWindow("STATIC","CfbNXt@CΏۃtH_(&O)",
                 WS_CHILD|WS_VISIBLE|SS_LEFT,
                 5,toolbarMargin + 0,250,15,
                 hwnd,
                 (HMENU)LBL_DIR,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[LBL_DIR] = s;

	s = CreateWindowEx(WS_EX_LEFT | WS_EX_CLIENTEDGE | WS_EX_NOPARENTNOTIFY| WS_EX_LTRREADING|WS_EX_RIGHTSCROLLBAR,
					"Edit","",
                 WS_CHILD|WS_VISIBLE|SS_LEFT|WS_TABSTOP|ES_AUTOHSCROLL|WS_GROUP,
                 5,toolbarMargin + 15,341,18,
                 hwnd,
                 (HMENU)EDIT_DIR,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	SetFocus(s);
	control[EDIT_DIR] = s;

	s = CreateWindow("BUTTON","...",
                 WS_CHILD|WS_VISIBLE|SS_LEFT,
                 354,toolbarMargin + 15,18,18,
                 hwnd,
                 (HMENU)BTN_DIR,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[BTN_DIR] = s;

    s = CreateWindow("STATIC","CfbNXt@C(&N)",
                 WS_CHILD|WS_VISIBLE|SS_LEFT,
                 5,toolbarMargin + 37,196,15,
                 hwnd,
                 (HMENU)LBL_FNAME,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[LBL_FNAME] = s;

	s = CreateWindowEx(WS_EX_LEFT | WS_EX_CLIENTEDGE | WS_EX_NOPARENTNOTIFY| WS_EX_LTRREADING|WS_EX_RIGHTSCROLLBAR,
					"Edit","",
                 WS_CHILD|WS_VISIBLE|SS_LEFT|WS_TABSTOP|ES_AUTOHSCROLL,
                 5,toolbarMargin + 52,341,18,
                 hwnd,
                 (HMENU)EDIT_FNAME,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[EDIT_FNAME] = s;

    s = CreateWindow("STATIC","CfbNXt@C̃^Cg(&T)",
                 WS_CHILD|WS_VISIBLE|SS_LEFT,
                 5,toolbarMargin + 75,333,15,
                 hwnd,
                 (HMENU)LBL_TITLE,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[LBL_TITLE] = s;

	s = CreateWindowEx(WS_EX_LEFT | WS_EX_CLIENTEDGE | WS_EX_NOPARENTNOTIFY| WS_EX_LTRREADING|WS_EX_RIGHTSCROLLBAR,
					"Edit","",
                 WS_CHILD|WS_VISIBLE|SS_LEFT|WS_TABSTOP|ES_AUTOHSCROLL,
                 5,toolbarMargin + 90,341,18,
                 hwnd,
                 (HMENU)EDIT_TITLE,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[EDIT_TITLE] = s;

    s = CreateWindow("STATIC","X^CV[g(&S)",
                 WS_CHILD|WS_VISIBLE|SS_LEFT,
                 5,toolbarMargin + 113,333,15,
                 hwnd,
                 (HMENU)LBL_CSS,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[LBL_CSS] = s;

	s = CreateWindowEx(WS_EX_LEFT | WS_EX_CLIENTEDGE | WS_EX_NOPARENTNOTIFY| WS_EX_LTRREADING|WS_EX_RIGHTSCROLLBAR,
					"Edit","",
                 WS_CHILD|WS_VISIBLE|SS_LEFT|WS_TABSTOP|ES_AUTOHSCROLL,
                 5,toolbarMargin + 128,341,18,
                 hwnd,
                 (HMENU)EDIT_CSS,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[EDIT_CSS] = s;

	s = CreateWindow("BUTTON","CfbNXt@C",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 354,toolbarMargin + 128,150,15,
                 hwnd,
                 (HMENU)CHK_CSS,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_CSS] = s;

    s = CreateWindow("BUTTON","\[g𔽓](&R)",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 5,y + ((fontHeight * -1) + margin) * 0,
				 230,15,
                 hwnd,
                 (HMENU)CHK_RSORT,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_RSORT] = s;

    s = CreateWindow("BUTTON","tH_o͂(&D)",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 5,y + ((fontHeight * -1) + margin) * 1,
				 230,15,
                 hwnd,
                 (HMENU)CHK_DIROUT,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_DIROUT] = s;

    s = CreateWindow("BUTTON","tH_̃CfbNXt@CɃN𒣂(&L)",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX| BS_MULTILINE,
                 5,y + ((fontHeight * -1) + margin) * 2,
				 49 * (fontHeight / 2 * -1),15,
                 hwnd,
                 (HMENU)CHK_LINKSUB,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_LINKSUB] = s;

    s = CreateWindow("BUTTON","tH_ċAIɌ(&E)",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 5,y + ((fontHeight * -1) + margin) * 3,
				 230,15,
                 hwnd,
                 (HMENU)CHK_RECSEARCH,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_RECSEARCH] = s;

    s = CreateWindow("BUTTON","pX΃pXŏo͂(&A)",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 5,y + ((fontHeight * -1) + margin) * 4,
				 230,15,
                 hwnd,
                 (HMENU)CHK_ABSPATH,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_ABSPATH] = s;

    s = CreateWindow("BUTTON","CfbNXt@Co͂ɉȂ(&X)",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 5,y + ((fontHeight * -1) + margin) * 5,
				 230,15,
                 hwnd,
                 (HMENU)CHK_NOINDEX,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_NOINDEX] = s;

    s = CreateWindow("BUTTON","IE 5.xx̍tH_͌Ȃ(&I)",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 5,y + ((fontHeight * -1) + margin) * 6,
				 230,15,
                 hwnd,
                 (HMENU)CHK_IEDIR,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_IEDIR] = s;

    s = CreateWindow("BUTTON","Firefox/Opera/Chrome̍tH_͌Ȃ(&M)",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 5,y + ((fontHeight * -1) + margin) * 7,
				 49 * (fontHeight / 2 * -1),15,
                 hwnd,
                 (HMENU)CHK_MOZDIR,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_MOZDIR] = s;

    s = CreateWindow("BUTTON","HTMLt@CۑɍtH_B(&H)",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 5,y + ((fontHeight * -1) + margin) * 8,
				 280,15,
                 hwnd,
                 (HMENU)CHK_HIDEDATA,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_HIDEDATA] = s;

	/* 2 */

    s = CreateWindow("STATIC","\[g(&S)",
                 WS_CHILD|WS_VISIBLE|SS_LEFT,
                 381,toolbarMargin + 0,140,12,
                 hwnd,
                 (HMENU)LBL_SORT,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[LBL_SORT] = s;

    s = CreateWindow("COMBOBOX","",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|CBS_DROPDOWNLIST|CBS_HASSTRINGS,
                 381,toolbarMargin + 15,140,90,
                 hwnd,
                 (HMENU)CB_SORT,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CB_SORT] = s;

    s = CreateWindow("STATIC","CfbNXt@C̃X^C(&Y)",
                 WS_CHILD|WS_VISIBLE|SS_LEFT,
                 381,toolbarMargin + 37,175,15,
                 hwnd,
                 (HMENU)LBL_STYLE,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[LBL_STYLE] = s;

    s = CreateWindow("COMBOBOX","",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|CBS_DROPDOWNLIST|CBS_HASSTRINGS,
                 381,toolbarMargin + 52,140,90,
                 hwnd,
                 (HMENU)CB_STYLE,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CB_STYLE] = s;

    s = CreateWindow("BUTTON","o͂t@C̏",
                 WS_CHILD|WS_VISIBLE|WS_GROUP|BS_GROUPBOX,
                 53 * (fontHeight / 2 * -1),toolbarMargin + 150,170,85,	// 235
                 hwnd,
                 (HMENU)GRP_FINFO,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[GRP_FINFO] = s;

    s = CreateWindow("BUTTON","t@C",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 55 * (fontHeight / 2 * -1),toolbarMargin + 170,150,15,	// 245
                 hwnd,
                 (HMENU)CHK_OUTNAME,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_OUTNAME] = s;

    s = CreateWindow("BUTTON","^CX^v",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 55 * (fontHeight / 2 * -1),toolbarMargin + 190,150,15,
                 hwnd,
                 (HMENU)CHK_OUTTIME,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_OUTTIME] = s;

    s = CreateWindow("BUTTON","t@CTCY",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 55 * (fontHeight / 2 * -1),toolbarMargin + 210,150,15,
                 hwnd,
                 (HMENU)CHK_OUTSIZE,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_OUTSIZE] = s;

    s = CreateWindow("BUTTON","ΏۊÕt@CɂN",
                 WS_CHILD|WS_VISIBLE|WS_TABSTOP|BS_AUTOCHECKBOX,
                 53 * (fontHeight / 2 * -1),toolbarMargin + 245,280,15,
                 hwnd,
                 (HMENU)CHK_OTHERLINK,
                 cs->hInstance,
                 NULL);
	SendMessage(s,WM_SETFONT,(WPARAM)f,MAKELPARAM(TRUE, 0));
	control[CHK_OTHERLINK] = s;

	
	// \[g@̑I𕶎
	SendMessage(control[CB_SORT],CB_INSERTSTRING,(WPARAM)0,(LPARAM)"Ȃ");
	SendMessage(control[CB_SORT],CB_INSERTSTRING,(WPARAM)1,(LPARAM)"^Cg");
	SendMessage(control[CB_SORT],CB_INSERTSTRING,(WPARAM)2,(LPARAM)"t@C");
	SendMessage(control[CB_SORT],CB_INSERTSTRING,(WPARAM)3,(LPARAM)"ۑ");
	SendMessage(control[CB_SORT],CB_INSERTSTRING,(WPARAM)4,(LPARAM)"t@CTCY");

	// t@C`̑I𕶎
	SendMessage(control[CB_STYLE],CB_INSERTSTRING,(WPARAM)0,(LPARAM)"1t@C1i");
	SendMessage(control[CB_STYLE],CB_INSERTSTRING,(WPARAM)1,(LPARAM)"\`");
	SendMessage(control[CB_STYLE],CB_INSERTSTRING,(WPARAM)2,(LPARAM)"t[`");
	SendMessage(control[CB_STYLE],CB_INSERTSTRING,(WPARAM)3,(LPARAM)"_uEChE");

	// TuNX(̓`FbNs)
	// TuNX(tH_o͂)
	Org_Chk_Dirout_Proc = (WNDPROC)GetWindowLong(control[CHK_DIROUT], GWL_WNDPROC);
	SetWindowLong(control[CHK_DIROUT], GWL_WNDPROC, (LONG)Chk_Dirout_Proc);
	// TuNX(tH_̃CfbNXt@CɃN)
	Org_Chk_Linksub_Proc = (WNDPROC)GetWindowLong(control[CHK_LINKSUB], GWL_WNDPROC);
	SetWindowLong(control[CHK_LINKSUB], GWL_WNDPROC, (LONG)Chk_Linksub_Proc);

	InitMainDlgProc(hwnd);
	adjustControls();

	return(0);
}

// CEChE̐ݒ
// ݒCEChEɔf
void InitMainDlgProc(HWND hWnd)
{
	DWORD result;
	char pathname[MAX_PATH],curDir[_MAX_DIR+_MAX_DRIVE+1],drive[_MAX_DRIVE+1],cDir[_MAX_DIR+1];
	char name[_MAX_FNAME],ext[_MAX_EXT];
	char targetfile[_MAX_FNAME + _MAX_EXT + 1];
	HMODULE ModHdl;
	struct dir_config config;

	// lݒ
	memset(&config,0x00,sizeof(struct dir_config));
	config.out_fname = 1;
	config.out_size = 1;
	config.out_time = 1;

	// st@C̃fBNg𓾂B
	ModHdl = GetModuleHandle(EXE_NAME);
	if (ModHdl != NULL){
		result = GetModuleFileName(ModHdl,pathname,MAX_PATH);
		_splitpath(pathname,drive,cDir,NULL,NULL);

		curDir[0] = '\0';
		strcpy(curDir,drive);
		strcat(curDir,cDir);

		// ݒt@CǂݍށB
		read_inifile(&config,curDir,INI_FILE);
		if (__argc > 1){
			_splitpath(__argv[1],drive,cDir,name,ext);
			sprintf(curDir,"%s%s",drive,cDir);
			sprintf(targetfile,"%s%s",name,ext);
			read_inifile(&config,curDir,targetfile);
		}
		set_mainwin(&config);
	}
}

// \̏̐ݒCEChEɐݒ肷B
void set_mainwin(struct dir_config *config)
{
	// ^[QbgfBNgƃCfbNXt@Cƃ^Cg̏ݒ
	if (strlen(config->name)){
		SendMessage(control[EDIT_DIR],WM_SETTEXT,(WPARAM)0,(LPARAM)config->name);
	}else{
		SendMessage(control[EDIT_DIR],WM_SETTEXT,(WPARAM)0,(LPARAM)"");
	}

	if (strlen(config->outfile)){
		SendMessage(control[EDIT_FNAME],WM_SETTEXT,(WPARAM)0,(LPARAM)config->outfile);
	}else{
		SendMessage(control[EDIT_FNAME],WM_SETTEXT,(WPARAM)0,(LPARAM)"LocalIndex.html");
	}
	if (strlen(config->title)){
		SendMessage(control[EDIT_TITLE],WM_SETTEXT,(WPARAM)0,(LPARAM)config->title);
	}else{
		SendMessage(control[EDIT_TITLE],WM_SETTEXT,(WPARAM)0,(LPARAM)"Local Index page");
	}

	if (strlen(config->stylesheet)){
		SendMessage(control[EDIT_CSS],WM_SETTEXT,(WPARAM)0,(LPARAM)config->stylesheet);
	}else{
		SendMessage(control[EDIT_CSS],WM_SETTEXT,(WPARAM)0,(LPARAM)"");
	}

	// \[g`ƃt@C`ݒ肷
	SendMessage(control[CB_SORT],CB_SETCURSEL,(WPARAM)config->sorttype,(LPARAM)0L);
	SendMessage(control[CB_STYLE],CB_SETCURSEL,(WPARAM)config->HTMLtype,(LPARAM)0L);

	// `FbN{bNX̏
	SendMessage(control[CHK_RSORT],BM_SETCHECK,(WPARAM)(config->reverse?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_DIROUT],BM_SETCHECK,(WPARAM)(config->subdir?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_IEDIR],BM_SETCHECK,(WPARAM)(config->ie5?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_LINKSUB],BM_SETCHECK,(WPARAM)(config->dirlink?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_RECSEARCH],BM_SETCHECK,(WPARAM)(config->recSearch?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_ABSPATH],BM_SETCHECK,(WPARAM)(config->absLink?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_NOINDEX],BM_SETCHECK,(WPARAM)(config->exclude?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_MOZDIR],BM_SETCHECK,(WPARAM)(config->Mozilla?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_HIDEDATA],BM_SETCHECK,(WPARAM)(config->hideDataDir?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_OTHERLINK],BM_SETCHECK,(WPARAM)(config->otherLink?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_CSS],BM_SETCHECK,(WPARAM)(config->topStyle?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);

	if (!config->subdir){
		SendMessage(control[CHK_LINKSUB],BM_SETCHECK,(WPARAM)BST_UNCHECKED,(LPARAM)0);
		EnableWindow(control[CHK_LINKSUB],FALSE);
		config->dirlink = 0;
	}
	if (!config->dirlink){
		SendMessage(control[CHK_RECSEARCH],BM_SETCHECK,(WPARAM)BST_UNCHECKED,(LPARAM)0);
		EnableWindow(control[CHK_RECSEARCH],FALSE);
		config->recSearch = 0;
	}

	// o͂t@C֘A`FbN{bNX
	SendMessage(control[CHK_OUTNAME],BM_SETCHECK,(WPARAM)(config->out_fname?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_OUTTIME],BM_SETCHECK,(WPARAM)(config->out_time?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);
	SendMessage(control[CHK_OUTSIZE],BM_SETCHECK,(WPARAM)(config->out_size?BST_CHECKED:BST_UNCHECKED),(LPARAM)0);

}

void Exit_Proc(void)
{
	save_stat();
	// TuNX̌n
	SetWindowLong(control[CHK_DIROUT], GWL_WNDPROC, (LONG)Org_Chk_Dirout_Proc);
	SetWindowLong(control[CHK_DIROUT], GWL_WNDPROC, (LONG)Org_Chk_Linksub_Proc);

	// tHǧn
	DeleteObject(f);
	//̊֐̎sŎGetMessage
	//s,GetMessage͂OԂ
	//܂vO͏I
	PostQuitMessage(0); 
}

/*--------------------------*/
/* 炪eR}h */
/*--------------------------*/
static  LRESULT Wm_CommandProc(HWND hwnd,WPARAM wP, LPARAM lP)
{
	UpdateWindow(hToolBar);
	switch(LOWORD(wP)){
		case ID_MENUITEM_LOADSET:	// ݒ胍[h
		case ID_BUTTON_TBLOAD:
			SetFocus(hwnd);
			UpdateWindow(hwnd);
			load_stat();
			SetFocus(control[EDIT_DIR]);
		break;
		case ID_MENUITEM_SAVESET:	// ݒZ[u
		case ID_BUTTON_TBSAVE:
			SetFocus(hwnd);
			UpdateWindow(hwnd);
			write_stat();
			SetFocus(control[EDIT_DIR]);
		break;
		case ID_MENUITEM_MAKEINDEX:	// CfbNXt@C쐬
		case ID_BUTTON_TBMAKE:
			SetFocus(hwnd);
			UpdateWindow(hwnd);
			MakeProc(hwnd);
			SetFocus(control[EDIT_DIR]);
		break;
		case ID_MENUITEM_EXIT:	// j[̏I
			Exit_Proc();
		break;
		case ID_MENUITEM_VERINFO:	// j[̃o[W
		case ID_BUTTON_TBINFO:
			SetFocus(hwnd);
			UpdateWindow(hwnd);
			if ((winVer > 4) && (pfWin != NULL))
				pfWin(hwnd,0,192,LWA_ALPHA);

			DialogBox(Instance,MAKEINTRESOURCE(IDD_ABOUT),hwnd,(DLGPROC)AboutDlgProc);

			if ((winVer > 4) && (pfWin != NULL))
				pfWin(hwnd,0,255,LWA_ALPHA);
			SetFocus(control[EDIT_DIR]);
		break;
		case ID_MENUITEM_MYWEB:	// j[̃T|[gWeby[W
			SetFocus(hwnd);
			UpdateWindow(hwnd);
			ShellExecute(NULL,NULL,MYWEB_URL,NULL,NULL,SW_SHOW);
			SetFocus(control[EDIT_DIR]);
		break;
		case ID_MENUITEM_HELPINDEX:	// wv(HTML)t@CJ
		case ID_BUTTON_TBHELP:
			SetFocus(hwnd);
			UpdateWindow(hwnd);
			HelpProc(hwnd);
			SetFocus(control[EDIT_DIR]);
		break;
		case BTN_DIR:	// fBNgI{^
			SetFocus(hwnd);
			UpdateWindow(hwnd);
			dirsel(hwnd);
			SetFocus(control[EDIT_DIR]);
		break;

	}
	return(0);
}

// ݒ\̂ɕۑ
void GetStat(struct dir_config *conf)
{
	DWORD attr;
	char buf[MAX_PATH];
	//DWORD result;
	//char pathname[MAX_PATH],IniFile[_MAX_PATH],drive[_MAX_DRIVE+1],cDir[_MAX_DIR+1];
	//HMODULE ModHdl;

	// ΏۃtH_`FbN
	if (SendMessage(control[EDIT_DIR],WM_GETTEXT,(WPARAM)256-1,(LPARAM)buf)){
		attr = GetFileAttributes(buf);
		if ((attr != 0xFFFFFFFF) && (attr & FILE_ATTRIBUTE_DIRECTORY) ){
			//݂fBNg
			// [gfBNgłȂ"\"ɂB
			if (buf[strlen(buf) - 1] != '\\'){
				strcat(buf,"\\");
			}
			strcpy(conf->name,buf);
		}else{
			strcpy(conf->name,"");
		}
	}else{
		strcpy(conf->name,"");
	}

	// o̓t@C`FbN
	SendMessage(control[EDIT_FNAME],WM_GETTEXT,(WPARAM)256-1,(LPARAM)conf->outfile);

	// ^Cg
	SendMessage(control[EDIT_TITLE],WM_GETTEXT,(WPARAM)256-1,(LPARAM)conf->title);

	// X^CV[g
	SendMessage(control[EDIT_CSS],WM_GETTEXT,(WPARAM)256-1,(LPARAM)conf->stylesheet);

	/* `FbN{bNX̒g擾 */
	conf->reverse	=	(char)SendMessage(control[CHK_RSORT],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->subdir	=	(char)SendMessage(control[CHK_DIROUT],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->ie5		=	(char)SendMessage(control[CHK_IEDIR],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->dirlink	=	(char)SendMessage(control[CHK_LINKSUB],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->absLink	=	(char)SendMessage(control[CHK_ABSPATH],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->recSearch	=	(char)SendMessage(control[CHK_RECSEARCH],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->exclude	=	(char)SendMessage(control[CHK_NOINDEX],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->Mozilla	=	(char)SendMessage(control[CHK_MOZDIR],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->hideDataDir =	(char)SendMessage(control[CHK_HIDEDATA],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->otherLink	=	(char)SendMessage(control[CHK_OTHERLINK],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->topStyle  =	(char)SendMessage(control[CHK_CSS],BM_GETCHECK,(WPARAM)TRUE,0L);

	conf->out_fname	=	(char)SendMessage(control[CHK_OUTNAME],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->out_time	=	(char)SendMessage(control[CHK_OUTTIME],BM_GETCHECK,(WPARAM)TRUE,0L);
	conf->out_size	=	(char)SendMessage(control[CHK_OUTSIZE],BM_GETCHECK,(WPARAM)TRUE,0L);

	/* R{{bNX̒g擾B */
	conf->sorttype	=	(char)SendMessage(control[CB_SORT],CB_GETCURSEL,0L,0L);
	conf->HTMLtype	=	(char)SendMessage(control[CB_STYLE],CB_GETCURSEL,0L,0L);

}

// ݒ̕ۑ
void SaveConfig(char *cfgfile)
{
	struct dir_config conf;
	char buf[16];

	GetStat(&conf);	// EChE̓eSlB

	WritePrivateProfileString(CFG_SECT,"Target",conf.name,cfgfile);	// ^[QbgfBNg
	WritePrivateProfileString(CFG_SECT,"IndexFileName",conf.outfile,cfgfile);	// o̓t@C
	WritePrivateProfileString(CFG_SECT,"IndexFileTitle",conf.title,cfgfile);	// HTMLt@C̃^Cg
	WritePrivateProfileString(CFG_SECT,"CSSFile",conf.stylesheet,cfgfile);	// X^CV[gt@C

	sprintf(buf,"%d",conf.reverse);
	WritePrivateProfileString(CFG_SECT,"SortReverse",buf,cfgfile);

	sprintf(buf,"%d",conf.subdir);
	WritePrivateProfileString(CFG_SECT,"Subdir",buf,cfgfile);

	sprintf(buf,"%d",conf.ie5);
	WritePrivateProfileString(CFG_SECT,"IgnoreIE5Dir",buf,cfgfile);

	sprintf(buf,"%d",conf.dirlink);
	WritePrivateProfileString(CFG_SECT,"SubDirIndexLink",buf,cfgfile);

	sprintf(buf,"%d",conf.absLink);
	WritePrivateProfileString(CFG_SECT,"AbsolutePath",buf,cfgfile);

	sprintf(buf,"%d",conf.recSearch);
	WritePrivateProfileString(CFG_SECT,"RecSearch",buf,cfgfile);

	sprintf(buf,"%d",conf.exclude);
	WritePrivateProfileString(CFG_SECT,"ExcludeLocalIndexFile",buf,cfgfile);

	sprintf(buf,"%d",conf.Mozilla);
	WritePrivateProfileString(CFG_SECT,"IgnoreMozDir",buf,cfgfile);

	sprintf(buf,"%d",conf.hideDataDir);
	WritePrivateProfileString(CFG_SECT,"HideDataDir",buf,cfgfile);

	sprintf(buf,"%d",conf.otherLink);
	WritePrivateProfileString(CFG_SECT,"OtherFileLink",buf,cfgfile);

	sprintf(buf,"%d",conf.topStyle);
	WritePrivateProfileString(CFG_SECT,"UseIndividualCSS",buf,cfgfile);

	// o͂֘Ã`FbN{bNX
	sprintf(buf,"%d",conf.out_fname);
	WritePrivateProfileString(CFG_SECT,"OutputFilename",buf,cfgfile);

	sprintf(buf,"%d",conf.out_time);
	WritePrivateProfileString(CFG_SECT,"OutputTime",buf,cfgfile);

	sprintf(buf,"%d",conf.out_size);
	WritePrivateProfileString(CFG_SECT,"OutputSize",buf,cfgfile);

	/* R{{bNX̒g擾B */
	sprintf(buf,"%d",conf.sorttype);
	WritePrivateProfileString(CFG_SECT,"Sorttype",buf,cfgfile);

	sprintf(buf,"%d",conf.HTMLtype);
	WritePrivateProfileString(CFG_SECT,"HTMLtype",buf,cfgfile);

}

// ݂̏Ԃ̕ۑ
void save_stat(void)
{
	DWORD result;
	char pathname[MAX_PATH],IniFile[_MAX_PATH],drive[_MAX_DRIVE+1],cDir[_MAX_DIR+1];
	HMODULE ModHdl;

	// st@C̃fBNg𓾂B
	ModHdl = GetModuleHandle(EXE_NAME);
	if (ModHdl == NULL)
		return;
	result = GetModuleFileName(ModHdl,pathname,MAX_PATH);

	_splitpath(pathname,drive,cDir,NULL,NULL);
	sprintf(IniFile,"%s%s%s",drive,cDir,INI_FILE);
	SaveConfig(IniFile);

}

/*
	ݒZ[up̃t@CIEChEoB
	
		Ȃ
	߂l
		Ȃ
*/
void write_stat(void)
{
	OPENFILENAME ofn;
	char GotFileName[256];

	memset(GotFileName,0x00,sizeof(GotFileName));
	memset(&ofn,0x00,sizeof(OPENFILENAME));
	ofn.lStructSize = sizeof(OPENFILENAME);
	ofn.hwndOwner = control[0];
	ofn.lpstrFilter = "Local INdex maker ݒt@C(*.LIN)\0*.LIN\0ݒt@C(*.INI)\0*.INI\0SẴt@C (*.*)\0*.*\0";

	ofn.nFilterIndex = 1;
	ofn.lpstrFile = GotFileName;
	ofn.nMaxFile = 256;
	ofn.lpstrTitle = "ݒ̕ۑw";

	if (GetSaveFileName(&ofn)){
		SaveConfig(GotFileName);
	}
}

/*
	ݒ胍[hp̃t@CIEChEoB
	
		Ȃ
	߂l
		Ȃ
*/
void load_stat(void)
{
	OPENFILENAME ofn;
	char GotFileName[256];
	struct dir_config config;
	char drive[_MAX_DRIVE],dir[_MAX_DIR],name[_MAX_FNAME],ext[_MAX_EXT];
	char targetdir[_MAX_DRIVE + _MAX_DIR + 1],targetfile[_MAX_FNAME + _MAX_EXT + 1];

	memset(GotFileName,0x00,sizeof(GotFileName));
	memset(&ofn,0x00,sizeof(OPENFILENAME));
	ofn.lStructSize = sizeof(OPENFILENAME);
	ofn.hwndOwner = control[0];
	ofn.lpstrFilter = "Local INdex maker ݒt@C(*.LIN)\0*.LIN\0ݒt@C(*.INI)\0*.INI\0SẴt@C (*.*)\0*.*\0";
	ofn.Flags = OFN_OVERWRITEPROMPT;
	ofn.nFilterIndex = 1;
	ofn.lpstrFile = GotFileName;
	ofn.nMaxFile = 256;
	ofn.lpstrTitle = "ݒt@C̎w";

	if (GetOpenFileName(&ofn)){
		memset(&config,0x00,sizeof(struct dir_config));
		_splitpath(GotFileName,drive,dir,name,ext);
		sprintf(targetdir,"%s%s",drive,dir);
		sprintf(targetfile,"%s%s",name,ext);
		read_inifile(&config,targetdir,targetfile);
		set_mainwin(&config);
	}
}


/*----------------------------------*/
/* CfbNXf[^쐬֘A       */
/* ʃXbhŎs邽ߋX */
/*----------------------------------*/
struct dir_config cur_config;	// CEChEŎw肵p[^n߂Ɏgp
static int thStat;	// XbhIp _beginthread łWaitForSingleObjectgȂ
static int thResult;// Xbh̖߂l̑
static void _cdecl main2x(void *a)	// CfbNX쐬XbhŎs邽߂̃C^[tFCX
{
	int result;

	result = main2((unsigned char *)cur_config.name,NULL,&cur_config);	// CfbNX쐬
	thResult = result;
	thStat = 0;	// XbhI
}

// CfbNX쐬̃LZ_CAOǗ
void MakeProc(HWND hWnd)
{
	MSG msg;

	GetStat(&cur_config);	// EChE̓eSlB

	if (!strlen(cur_config.name)){
		MessageBox(hWnd,"o͂tH_𐳂w肵ĂB","Input Error!",MB_ICONEXCLAMATION);
		return;
	}
	if (!strlen(cur_config.outfile)){
		MessageBox(hWnd,"o͂t@Cw肵ĂB","Input Error!",MB_ICONEXCLAMATION);
		return;
	}

	isStop = 0;
	// LZp_CAO\
	CanDlgFlg = 1;
	hCanDlg = CreateDialog((HINSTANCE)GetWindowLong(control[0],GWL_HINSTANCE),
							MAKEINTRESOURCE(IDD_CANCELDLG),control[0],CancelDlgProc);
	ShowWindow(hCanDlg,SW_SHOW);

	EnableWindow(hWnd,FALSE);	// CEChȆȂ

	thStat = 1;
	_beginthread(main2x,0,NULL);
	while(thStat){	// CfbNX쐬Xbhs̓[vB
		if (PeekMessage(&msg,NULL,0,0,PM_NOREMOVE)){	// bZ[W擾
			if (GetMessage(&msg, NULL, 0, 0)){
				if( !IsDialogMessage( hCanDlg,&msg) ){	// LZ_CAÕbZ[W͂ŏ
			        if( !IsDialogMessage( control[0],&msg) ){	// CEChEbZ[W
						TranslateMessage(&msg); /* L[{[hbZ[Wϊ */
						DispatchMessage(&msg); //bZ[WEChEvV[Wɓ]
					}
				}
			}
		}
		Sleep(0);	// CPU𖾂nB
	}

	Sleep(1);	// ꉞ^C~Olđ҂ƂɂB
	EnableWindow(hCanDlg,FALSE);
	ShowWindow(hCanDlg,SW_HIDE);
	DestroyWindow(hCanDlg);

	EnableWindow(hWnd,TRUE);	// 삪悤ɂB

	if (thResult){
		MessageBox(hWnd,MES_USERABORT,TITLE_COMPLETE,MB_OK | MB_ICONWARNING);
	}else{
		MessageBox(hWnd,MES_COMPLETE,TITLE_COMPLETE,MB_OK | MB_ICONINFORMATION );
	}
}

LRESULT CALLBACK Chk_Dirout_Proc(HWND hButton,UINT msg,WPARAM wP,LPARAM lP)
{

	switch(msg){
		case BM_SETCHECK:	// `FbNԂύXꂽ
			if (wP == BST_UNCHECKED){
				// TufBNg̃CfbNXt@CɃN𒣂Ă傤Ȃ
				// łIDC_CHECK4̃EChEv[VW͌Ă΂ȂB
				SendMessage(control[CHK_LINKSUB],BM_SETCHECK,(WPARAM)BST_UNCHECKED,(LPARAM)0);
				EnableWindow(control[CHK_LINKSUB],FALSE);

				// TufBNgċAIɌłȂ
				SendMessage(control[CHK_RECSEARCH],BM_SETCHECK,(WPARAM)BST_UNCHECKED,(LPARAM)0);
				EnableWindow(control[CHK_RECSEARCH],FALSE);
			}else{
				EnableWindow(control[CHK_LINKSUB],TRUE);
				// CHECK4`FbNĂȂƃ`FbNĂ傤ȂB
				//tmpHandle = GetDlgItem(dlg,IDC_CHECK7);
				//EnableWindow(tmpHandle,TRUE);
			}
			return (CallWindowProc(Org_Chk_Dirout_Proc, hButton, msg, wP, lP));	// ftHgsB
		break;

		default:
			return (CallWindowProc(Org_Chk_Dirout_Proc, hButton, msg, wP, lP));	// ftHgsB
	}

	return 0L;

}

LRESULT CALLBACK Chk_Linksub_Proc(HWND hButton,UINT msg,WPARAM wP,LPARAM lP)
{

	switch(msg){
		case BM_SETCHECK:	// `FbNԂύXꂽ
			if (wP == BST_UNCHECKED){
				// TufBNgċAIɌłȂ
				SendMessage(control[CHK_RECSEARCH],BM_SETCHECK,(WPARAM)BST_UNCHECKED,(LPARAM)0);
				EnableWindow(control[CHK_RECSEARCH],FALSE);
			}else{
				EnableWindow(control[CHK_RECSEARCH],TRUE);
			}
			return (CallWindowProc(Org_Chk_Linksub_Proc, hButton, msg, wP, lP));	// ftHgsB
		break;

		default:
			return (CallWindowProc(Org_Chk_Linksub_Proc, hButton, msg, wP, lP));	// ftHgsB
	}

	return 0L;

}

